Network Connections - Get

네트워크 연결 리소스를 가져옵니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevCenter/networkConnections/{networkConnectionName}?api-version=2024-02-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
networkConnectionName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9][a-zA-Z0-9-_.]{2,62}$

풀에 적용할 수 있는 네트워크 연결의 이름입니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대/소문자를 구분하지 않습니다.

subscriptionId
path True

string

minLength: 1

대상 구독의 ID입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

NetworkConnection

그래. 요청이 성공했습니다.

Other Status Codes

ErrorResponse

작업이 실패한 이유를 설명하는 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

NetworkConnections_Get

샘플 요청

GET https://management.azure.com/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.DevCenter/networkConnections/uswest3network?api-version=2024-02-01

샘플 응답

{
  "id": "/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.DevCenter/networkconnections/uswest3network",
  "name": "uswest3network",
  "type": "Microsoft.DevCenter/networkconnections",
  "properties": {
    "domainJoinType": "HybridAzureADJoin",
    "domainName": "mydomaincontroller.local",
    "domainUsername": "testuser@mydomaincontroller.local",
    "networkingResourceGroupName": "NetworkInterfaces",
    "subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ExampleRG/providers/Microsoft.Network/virtualNetworks/ExampleVNet/subnets/default",
    "provisioningState": "Succeeded",
    "healthCheckStatus": "Passed"
  },
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-11-18T18:00:36.993Z",
    "lastModifiedBy": "user1",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-11-18T18:30:36.993Z"
  },
  "location": "centralus"
}

정의

Name Description
createdByType

리소스를 만든 ID의 형식입니다.

DomainJoinType

Active Directory 조인 유형

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

HealthCheckStatus

상태 검사 상태 값

NetworkConnection

네트워크 관련 설정

ProvisioningState

리소스의 프로비전 상태입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

DomainJoinType

Active Directory 조인 유형

Description
HybridAzureADJoin
AzureADJoin

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

HealthCheckStatus

상태 검사 상태 값

Description
Unknown
Pending
Running
Passed
Warning
Failed

NetworkConnection

네트워크 관련 설정

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

리소스가 있는 지리적 위치

name

string

리소스의 이름

properties.domainJoinType

DomainJoinType

AAD 조인 유형입니다.

properties.domainName

string

Active Directory 도메인 이름

properties.domainPassword

string

도메인에 가입하는 데 사용되는 계정의 암호입니다.

properties.domainUsername

string

Active Directory에서 컴퓨터 개체를 만들 수 있는 권한이 있는 Active Directory 계정(사용자 또는 서비스 계정)의 사용자 이름입니다. 필수 형식: admin@contoso.com.

properties.healthCheckStatus

HealthCheckStatus

네트워크 연결의 전반적인 상태입니다. 상태 검사는 네트워크 연결의 유효성을 검사하기 위해 생성, 업데이트 및 주기적으로 실행됩니다.

properties.networkingResourceGroupName

string

NIC를 배치할 리소스 그룹의 이름입니다.

properties.organizationUnit

string

Active Directory 도메인 OU(조직 구성 단위)

properties.provisioningState

ProvisioningState

리소스의 프로비전 상태입니다.

properties.subnetId

string

Virtual Machines를 연결할 서브넷

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

tags

object

리소스 태그.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

ProvisioningState

리소스의 프로비전 상태입니다.

Description
NotSpecified
Accepted
Running
Creating
Created
Updating
Updated
Deleting
Deleted
Succeeded
Failed
Canceled
MovingResources
TransientFailure
RolloutInProgress
StorageProvisioningFailed

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.